/*
 * IpMe - A self-hosted API for obtaining your public IP address.
 * Copyright (C) 2023 Foster Hangdaan <foster@hangdaan.email>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

import version from "../version.ts";

export function getVersion() {
  const RUN_MODE = Deno.env.get("RUN_MODE") || "prod";
  const isDev = RUN_MODE === "dev";
  return isDev ? `${version}-dev` : version;
}
